Re: htdig: Making htdig on Digital Unix 4.0D

George Adams (
Wed, 18 Nov 1998 07:05:45 -0700

>Here's the error I get from the current version:
>c++ -o htfuzzy -L../htlib -L../htcommon -L../db-2.4.14/dist -L../rx-1.5/rx
>-L/usr/lib Endings.o EndingsDB.o Exact.o Fuzzy.o Metaphone.o Soundex.o
>SuffixEntry.o Synonym.o htfuzzy.o Substring.o Prefix.o -lcommon -lht -ldb
>collect2: ld returned 1 exit status
>make[1]: *** [htfuzzy] Error 1

What you're seeing are problems related to the Berkeley DB library. htdig needs a fairly modern version of db, which is why it ships with one that works. (see that -L../db-2.4.14/dist line? That's where htdig's db library is).

Yours is the same problem I had, which in my case was due to an older version of libdb.a existing on my machine in /usr/lib . The c++ compiler got the "-ldb" directive, found the old libdb.a in /usr/lib, and stopped looking any further for a usable libdb.a . Unfortunately, /usr/lib/libdb.a didn't include "db_open," "db_appexit," or "db_appinit" - hence the problem.

The solution is to modify the c++ command so it explicity references the correct libdb.a . You can do this by replacing the "-ldb" directive in the c++ command with "../db-2.4.14/dist/libdb.a"

-----== Sent via Deja News, The Discussion Network ==----- Easy access to 50,000+ discussion forums
To unsubscribe from the htdig mailing list, send a message to containing the single word "unsubscribe" in
the body of the message.

This archive was generated by hypermail 2.0b3 on Sat Jan 02 1999 - 16:28:49 PST